Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.xml
Class ConfigNode

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.xml.ConfigNode

public class ConfigNode
extends Object

ConfigNode.java Created: Tue May 9 21:45:13 2000

Version:
  $Id: ConfigNode.java,v 1.4 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`ConfigNode()`

Method Summary
`void` | `addChildNode(ConfigNode node)`
`ConfigNode[]` | `getChildNodes()`
`ModuleIdentifier` | `getModuleData()`
`String` | `getStringData()`
`boolean` | `isModuleIdentifier()`
`void` | `setData(ModuleIdentifier moduleIdentifer)`
`void` | `setData(String data)` Set the data for this config node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigNode

    public ConfigNode()

Method Detail

### addChildNode

    public void addChildNode(ConfigNode node)

### getChildNodes

    public ConfigNode[] getChildNodes()

### setData

    public void setData(String data)

  Set the data for this config node. This data is of the form ("MOD:"|"VAL:")data where data is the data which will be returned, and the first bit shows whether this is a module or not. (PENDING:- PL) This is really crap, and I think that there is no necessity for all this daft string matching. Need to remove it.

  Parameters:
    `data` -

### setData

    public void setData(ModuleIdentifier moduleIdentifer)

### isModuleIdentifier

    public boolean isModuleIdentifier()

### getStringData

    public String getStringData()

### getModuleData

    public ModuleIdentifier getModuleData()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD